opensipsunix(8)

NAME
opensipsunix - opensips UNIX socket wrapper

SYNOPSIS
opensipsunix path_to_socket

DESCRIPTION
opensipsunix is a wrapper for sending external commands to OpenSIPS server via UNIX sockets interface.
This is a binary alternative to the textual FIFO interface.

opensipsunix reads from standard input one OpenSIPS command along with its paramters (if any) and prints the response to standard output.

PARAMETERS

path_to_socket
    full path of the UNIX socket file used by OpenSIPS to receive the external commands

EXAMPLES

An OpenSIPS commands consists in one ore more lines: first contains the command name enclosed between ":", the following lines containing the command parameters, one per line.

echo ":uptime:" | opensipsunix /tmp/opensips.sock

AUTHORS

see /opt/share/doc/opensips/AUTHORS

SEE ALSO
opensips(8),opensips.cfg(5),opensipsctl(8)

Full documentation on opensips is available at http://www.opensips.org/.

Mailing lists:
users@opensips.org - opensips user community
devel@opensips.org - opensips development, new features and unstable version